OGRE: Ogre::MaterialScriptProgramDefinition Struct Reference - OGRE Documentation

Public Attributes

# Ogre::MaterialScriptProgramDefinition Struct Reference
[Materials]

Struct for holding a program definition which is in progress. More...

`#include <OgreMaterialSerializer.h>`

List of all members.

## Public Attributes
String | name
GpuProgramType | progType
String | language
String | source
String | syntax
bool | supportsSkeletalAnimation
bool | supportsMorphAnimation
ushort | supportsPoseAnimation
bool | usesVertexTextureFetch
vector< std::pair< String, String > >::type | customParameters

## Detailed Description

Struct for holding a program definition which is in progress.

Definition at line 60 of file OgreMaterialSerializer.h.

## Member Data Documentation

vector<std::pair<String, String> >::type Ogre::MaterialScriptProgramDefinition::customParameters

Definition at line 71 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::language

Definition at line 64 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::name

Definition at line 62 of file OgreMaterialSerializer.h.

GpuProgramType Ogre::MaterialScriptProgramDefinition::progType

Definition at line 63 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::source

Definition at line 65 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation

Definition at line 68 of file OgreMaterialSerializer.h.

ushort Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation

Definition at line 69 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation

Definition at line 67 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::syntax

Definition at line 66 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch

Definition at line 70 of file OgreMaterialSerializer.h.

The documentation for this struct was generated from the following file:

- OgreMaterialSerializer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56